#!/usr/bin/env python
import distutils.core

distutils.core.setup(
    name='SosCli',
    description='ECS commands line interface for accessing ECS appliance',
    classifiers=[
        'Development Status :: Production/Stable',
        'Environment :: Console',
        'Intended Audience :: All Users',
        'License :: EMC license',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Software Development',
    ],
    data_files=[('', [ '__init__.py',
                      'approval.py',
                      'assetoptions.py',
                      'authentication.py',
                      'baseurl.py',
                      'billing.py',
                      'bucket.py',
                      'capacity.py',
                      'cashead.py',
                      'catalog.py',
                      'cluster.py',
                      'common.py',
                      'config.py',
                      'consistencygroup.py',
                      'customparser.py',
                      'dashboard.py',
                      'datafabric.py',
                      'datastore.py',
                      'ecscli.py',
                      'ecscli_interpreter.py',
                      'executionwindow.py',
                      'exportgroup.py',
                      'fabric.py',
                      'failedzones.py',
                      'fileshare.py',
                      'host.py',
                      'hostinitiators.py',
                      'hostipinterfaces.py',
                      'key.py',
                      'keypool.py',
                      'keystore.py',
                      'metering.py',
                      'mgmtuserinfo.py',
                      'monitoring.py',
                      'network.py',
                      'networksystem.py',
                      'nfs.py',
                      'nodes.py',
                      'objectcos.py',
                      'objectuser.py',
                      'objectvpool.py',
                      'order.py',
                      'passwordgroup.py',
                      'project.py',
                      'protectionsystem.py',
                      'quota.py',
                      'reporting.py',
                      'secretkeyuser.py',
                      'setup.py',
                      'snapshot.py',
                      'storagepool.py',
                      'storageport.py',
                      'storageprovider.py',
                      'storagesystem.py',
                      'sysmanager.py',
                      'sysmgrcontrolsvc.py',
                      'tag.py',
                      'tenant.py',
                      'transformation.py',
                      'truststore.py',
                      'urihelper.py',
                      'vcenter.py',
                      'vcenterdatacenter.py',
                      'vdckeystore.py',
                      'virtualarray.py',
                      'virtualdatacenter.py',
                      'virtualdatacenterdata.py',
                      'virtualpool.py',
                      'ver.txt',
                      'volume.py']
                 )]
)
